Package twisted :: Package scripts :: Module tapconvert :: Class LoaderCommon

[show private | hide private]
[frames | no frames]

## Class LoaderCommon

Known Subclasses:
  `LoaderSource`, `LoaderXML`, `LoaderPython`, `LoaderTap`

Simple logic for loading persisted data

Method Summary
| `__init__(self, filename, encrypted, passphrase)`
| `decode(self)`
| `decrypt(self)`
| ``load`(self)` Returns the application
| `read(self)`

Class Variable Summary
`str` | `loadmessage`

Method Details

### load(self)

Returns the application

Class Variable Details

### loadmessage

  Type:
    `str`
  Value:

        'Loading %s...'

Generated by Epydoc 1.1 on Thu May 8 13:18:59 2003 | http://epydoc.sf.net